<?php 
  include_once('nusoap.php');
  include_once('htmlfuncs.php');  
  include_once('background.php');
  include_once('pagemenu.php');
  include_once(SmartyClass());
  
  function SearchResults()
  {
    //Create template object.
    $ResultsTemplate = new Smarty;
    $ResultsTemplate->compile_dir = SmartyCompileDir();
  
    $Query = GetParam("Query", "");
   
    if ($Query == "")
    {
      return;
    }

    $Site = GetParam("Site", "");
    if ($Site != "")
    {
      $Site = " site:$Site";
    }

    $Start = intval(GetParam("Start", 0));
  
    $GoogleKey    = GoogleKey();
    $GoogleAPIURL = GoogleAPIURL();
    $MaxResults   = MaxResults();
 
    $Param = array("key"         => $GoogleKey,
                   "q"           => $Query.$Site,                 
                   "start"       => $Start,
                   "maxResults"  => $MaxResults,
                   "filter"      => false,
                   "restrict"    => "",
                   "safeSearch"  => false,
                   "lr"          => "lang_en",
                   "ie"          => "",
                   "oe"          => "");             
  
    // Create a new client by providing the endpoint to the constructor.
    $Client = new soapclient($GoogleAPIURL);
   
    $QueryResult = $Client->call("doGoogleSearch", $Param, "urn:GoogleSearch");
    $Searchtime  = $QueryResult["searchTime"];
    $Begin       = $Start + 1;
    $End         = $Start + $Param["maxResults"];
    $Total       = $QueryResult["estimatedTotalResultsCount"]; 
  
    if ($Total > 0)
    {
      $QueryResult = $QueryResult["resultElements"]; 

      for ($i = 0; $i < $MaxResults; $i++)
      {
        $Element     = $QueryResult[$i];
        $Snippet[$i] = $Element["snippet"];
        $URL[$i]     = $Element["URL"];
        $Title[$i]   = $Element["title"];
      }
    }
    $ResultsTemplate->Assign('Snippet', $Snippet);
    $ResultsTemplate->Assign('URL', $URL);
    $ResultsTemplate->Assign('Title', $Title);
    
    $Result  = $ResultsTemplate->fetch('results.tpl.htm') . PageMenu($Query, $Site, $Start, $Total, $MaxResults);
    
    return $Result;    
  }

?>